# Using OAuth applications

Appmixer comes with set of prepared components (applications). Some of them use OAuth 1 (Twitter) authentication mechanism and some of them (Slack, Google) use OAuth 2 authentication mechanism.

If you try to use Slack component right after fresh Appmixer installation you will get an error `Missing client ID`.

![](/files/-MHG9L2WnX15ic5SKLoB)

In case of OAuth 1 application the error will be `Missing consumer key`. As described in [here](/6.0/v4/component-definition/authentication.md#authentication-mechanisms) the OAuth applications need these secrets. The reason we do not provide these secrets with Appmixer is simple. Part of the OAuth application registered in the third party service is the redirect URL which points to your server URL where the Appmixer backend API is running.&#x20;

Therefore you need to create these OAuth application on your own. At the end of the process you will always get client ID and client Secret (OAuth 2). Appmixer expects these variables to be part of ENV. Here is the list of all ENV variables that you can set for the pre-packed applications if you want to start using them.

```
ASANA_CLIENT_ID=
ASANA_CLIENT_SECRET=
DROPBOX_CLIENT_ID=
DROPBOX_CLIENT_SECRET=
EVERNOTE_CONSUMER_KEY=
EVERNOTE_CONSUMER_SECRET=
FACEBOOK_APP_ID=
FACEBOOK_APP_SECRET=
GITHUB_CLIENT_ID=
GITHUB_CLIENT_SECRET=
GOOGLE_CLIENT_ID=
GOOGLE_CLIENT_SECRET=
HIGHRISE_CLIENT_ID=
HIGHRISE_CLIENT_SECRET=
HUBSPOT_CLIENT_ID=
HUBSPOT_CLIENT_SECRET=
JIRA_CLIENT_ID=
JIRA_CLIENT_SECRET=
LINKEDIN_CLIENT_ID=
LINKEDIN_CLIENT_SECRET=
MAILCHIMP_CLIENT_ID=
MAILCHIMP_CLIENT_SECRET=
SAGEONE_CLIENT_ID=
SAGEONE_CLIENT_SECRET=
SAGEONE_CLIENT_SIGNING_SECRET=
SAGEONE_USER_AGENT=
SALESFORCE_CLIENT_ID=
SALESFORCE_CLIENT_SECRET=
SHOPIFY_CLIENT_ID=
SHOPIFY_CLIENT_SECRET=
SLACK_CLIENT_ID=
SLACK_CLIENT_SECRET=
TRELLO_APP_KEY=
TRELLO_APP_SECRET=
TWITTER_CONSUMER_KEY=
TWITTER_CONSUMER_SECRET=
TYPEFORM_CLIENT_ID=
TYPEFORM_CLIENT_SECRET=
WORDPRESS_CLIENT_ID=
WORDPRESS_CLIENT_SECRET= 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4/appmixer-self-managed/using-oauth-applications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
